Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001380Piwigometadatapublic2010.01.15 11:242010.05.05 01:50
Assigned Toplg 
PrioritynormalSeverityminorReproducibilityhave not tried
PlatformOSOS Version
Product Version2.0.0 
Target Version2.0.8Fixed in Version2.0.8 
Summary0001380: metadata not synchronized for a single picture
DescriptionWhen you're editing a single picture (I mean on admin/picture_modify), you have a "synchronize metadata" action. It only works for tags in IPTC and basic metadata (filesize, height, width).

My investigation taught me that the update_metadata function was not used during the generic synchronization. It was duplicated into the get_element_metadata function in admin/site_reader_local.php (which has not the bug).

I'm going to fix the update_metadata function but we should have a single piece of code to update metadata (I'll ask rvelices his opinion on the best way to do this)
TagsNo tags attached.
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
svn (reporter)
2010.01.15 11:38

[Subversion] r4680 by plg on branch 2.0

-----[Subversion commit log]----------------------------------------------------
bug 1380: now correctly synchronizes metadata on a single photo, needs a nicer
fix on trunk.
svn (reporter)
2010.01.15 11:40

[Subversion] r4681 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r4680 from branch 2.0 to trunk

bug 1380: now correctly synchronizes metadata on a single photo, needs a nicer
fix on trunk.
plg (manager)
2010.01.15 11:41

rvelices, I made the "dirty" fix for branch 2.0, but I would like your opinion on the code duplication described earlier in this issue before going any further.
rvelices (developer)
2010.01.16 07:16

Yes you're right. When i rewrote the site update, we gained a lot in terms of code and functionality between local/remote sites. But this metadata part has been duplicated.
plg (manager)
2010.05.05 01:48

I've decided to keep the code duplicated as it is, because:

1) merging was not trivial, the code was not just "duplicated", it was also "dispatched"

2) I think that grum metadata manager will soon replace the current metadata manager

- Issue History
Date Modified Username Field Change
2010.01.15 11:24 plg New Issue
2010.01.15 11:24 plg Status new => assigned
2010.01.15 11:24 plg Assigned To => plg
2010.01.15 11:24 plg browser => any
2010.01.15 11:24 plg Web server => Apache 1.3.x
2010.01.15 11:38 svn Checkin
2010.01.15 11:38 svn Note Added: 0003326
2010.01.15 11:40 svn Checkin
2010.01.15 11:40 svn Note Added: 0003327
2010.01.15 11:41 plg Note Added: 0003328
2010.01.15 11:41 plg Assigned To plg => rvelices
2010.01.16 07:16 rvelices Note Added: 0003334
2010.01.19 14:22 plg Description Updated
2010.04.14 17:44 plg Target Version 2.0.8 => 2.1.0RC3
2010.04.27 01:08 plg Target Version 2.1.0RC3 => 2.1.0
2010.05.05 01:48 plg Note Added: 0003839
2010.05.05 01:50 plg Assigned To rvelices => plg
2010.05.05 01:50 plg Status assigned => closed
2010.05.05 01:50 plg Resolution open => fixed
2010.05.05 01:50 plg Fixed in Version => 2.0.8
2010.05.05 01:50 plg Target Version 2.1.0 => 2.0.8

Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker